# Configure project access POST https://app.unleash-instance.example.com/api/admin/projects/{projectId}/access Content-Type: application/json **Enterprise feature** Configure project access for groups and single users. The provided users and groups will be given the roles specified in the payload. Reference: https://docs.getunleash.io/api/add-access-to-project ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Configure project access version: endpoint_projects.addAccessToProject paths: /api/admin/projects/{projectId}/access: post: operationId: add-access-to-project summary: Configure project access description: >- **Enterprise feature** Configure project access for groups and single users. The provided users and groups will be given the roles specified in the payload. tags: - - subpackage_projects parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/Projects_addAccessToProject_Response_200' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: projectAddAccessSchema content: application/json: schema: $ref: '#/components/schemas/projectAddAccessSchema' components: schemas: projectAddAccessSchema: type: object properties: roles: type: array items: type: integer description: A list of role IDs groups: type: array items: type: integer description: A list of group IDs users: type: array items: type: integer description: A list of user IDs required: - roles - groups - users Projects_addAccessToProject_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/access" payload = { "roles": [5], "groups": [5], "users": [5] } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/access'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"roles":[5],"groups":[5],"users":[5]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/access" payload := strings.NewReader("{\n \"roles\": [\n 5\n ],\n \"groups\": [\n 5\n ],\n \"users\": [\n 5\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/access") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"roles\": [\n 5\n ],\n \"groups\": [\n 5\n ],\n \"users\": [\n 5\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/projects/projectId/access") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"roles\": [\n 5\n ],\n \"groups\": [\n 5\n ],\n \"users\": [\n 5\n ]\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/access', [ 'body' => '{ "roles": [ 5 ], "groups": [ 5 ], "users": [ 5 ] }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/access"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"roles\": [\n 5\n ],\n \"groups\": [\n 5\n ],\n \"users\": [\n 5\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "roles": [5], "groups": [5], "users": [5] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/access")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```